<div class="panel panel-primary" *ngFor="let employee of employees">
  <div class="panel-heading">
    <h3 class="panel-title">{{ employee.Name }}</h3>
  </div>
  <div class="panel-body">
    <div class="col-xs-10">
      <div class="row vertical-align">
        <div class="col-xs-4">
          <img class="imageClass" [src]="employee.PhotoPath" />
        </div>
        <div class="col-xs-8">
          <div class="row">
            <div class="col-xs-6">Gender</div>
            <div class="col-xs-6">: {{ employee.Gender }}</div>
          </div>
          <div class="row">
            <div class="col-xs-6">Date of Birth</div>
            <div class="col-xs-6">: {{ employee.DateOfBirth }}</div>
          </div>

          <div class="row">
            <div class="col-xs-6">Phone</div>
            <div class="col-xs-6">: {{ employee.Phone }}</div>
          </div>
          <div class="row">
            <div class="col-xs-6">Email</div>
            <div class="col-xs-6">: {{ employee.Email }}</div>
          </div>

          <div class="row">
            <div class="col-xs-6">Is Active</div>
            <div class="col-xs-6">: {{ employee.IsActive }}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="row">
  <div class="col-md-12">
    <h4>Employee List</h4>

    <ul class="list-group">
      <li
        class="list-group-item"
        *ngFor="
          let employee of employees
            | paginate
              : {
                  itemsPerPage: pageSize,
                  currentPage: page,
                  totalItems: count
                };
          let i = index
        "
        [class.active]="i == currentIndex"
        (click)="setActiveTutorial(employee, i)"
      >
        {{ "#" + employee.Id + ". " + employee.Name }}
      </li>
    </ul>
  </div>
</div>

<!-- pagination -->
<div class="row">
  <div class="col-md-8">
    <pagination-controls
      previousLabel="Prev"
      nextLabel="Next"
      [responsive]="true"
      (pageChange)="handlePageChange($event)"
    ></pagination-controls>
  </div>
  <div class="col-md-4">
    <div class="mt-3">
      Items per Page:
      <select (change)="handlePageSizeChange($event)">
        <option
          *ngFor="let size of pageSizes"
          
          [selected]="size == pageSize"
        >
          {{ size }}
        </option>
      </select>
    </div>
  </div>
</div>
